Bug 771052 - Review Request: kde-workspace - KDE Workspace
Review Request: kde-workspace - KDE Workspace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8
  Show dependency treegraph
 
Reported: 2011-12-31 09:09 EST by Rex Dieter
Modified: 2016-11-30 19:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-13 11:43:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-12-31 09:09:03 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kde-workspace/kde-workspace.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kde-workspace/kde-workspace-4.7.95-10.fc16.src.rpm
Description:
The KDE Workspace consists of what is the desktop of the
KDE Desktop Environment.

This package contains:
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* kwin (the window manager of KDE)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)


Package rename, kdebase-workspace -> kde-runtime , to match newer upstream module naming.
Comment 1 Radek Novacek 2012-01-13 10:11:16 EST
Name: ok
License: ok
Source: ok
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: ok
Desktop file validations: ok
Locales: NA
Docs: ok
Devel: ok
Files: ok
Build: ok
rpmlint:
ISSUES, that should be fixed:
Apply the patch or remove it:
kde-workspace.src: W: patch-not-applied Patch14: kdebase-workspace-4.2.0-klipper-arora.patch

kde-workspace.src: W: spelling-error %description -l en_US khotkeys -> keystrokes
kde-workspace.src: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
kde-workspace.src: W: spelling-error %description -l en_US klipper -> kipper, slipper, clipper
kde-workspace.src: W: spelling-error %description -l en_US kmenuedit -> meditation
kde-workspace.src: W: spelling-error %description -l en_US krandrtray -> Krugerrand
kde-workspace.src: W: spelling-error %description -l en_US resize -> reside, re size, re-size
kde-workspace.src: W: spelling-error %description -l en_US krunner -> runner, k runner
kde-workspace.src: W: spelling-error %description -l en_US kwin -> quin, kin, win
kde-workspace.src: W: spelling-error %description -l en_US systemsettings -> system settings, system-settings, systematization
kde-workspace.src:22: W: non-break-space line 22, char 1
kde-workspace.src:28: W: non-break-space line 28, char 1
kde-workspace.src:414: W: macro-in-comment %{_kde4_appsdir}
kde-workspace.src:801: W: macro-in-comment %{name}
kde-workspace.src:801: W: macro-in-comment %{version}
kde-workspace.src:1863: W: non-break-space line 1863, char 44
kde-workspace.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.7.95/src/kde-workspace-4.7.95.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
kde-workspace.x86_64: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
kde-workspace.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
kde-workspace.x86_64: W: incoherent-version-in-changelog 4.7.95-2 ['4.7.95-10.fc16', '4.7.95-10']
kde-workspace.x86_64: W: obsolete-not-provided kdmtheme
kde-workspace.x86_64: W: obsolete-not-provided kdebase-workspace-googlegadgets
kde-workspace.x86_64: W: obsolete-not-provided plasma-scriptengine-googlegadgets
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_plasma-desktop.so libkdeinit4_plasma-desktop.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kaccess.so libkdeinit4_kaccess.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_klipper.so libkdeinit4_klipper.so
kde-workspace.x86_64: W: shared-lib-calls-exit /usr/lib64/libkdeinit4_klipper.so exit@GLIBC_2.2.5
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kcminit.so libkdeinit4_kcminit.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_plasma-netbook.so libkdeinit4_plasma-netbook.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kcminit_startup.so libkdeinit4_kcminit_startup.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkickoff.so libkickoff.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_krunner.so libkdeinit4_krunner.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kmenuedit.so libkdeinit4_kmenuedit.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kwin.so libkdeinit4_kwin.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_ksmserver.so libkdeinit4_ksmserver.so
kde-workspace.x86_64: W: shared-lib-calls-exit /usr/lib64/libkdeinit4_ksmserver.so exit@GLIBC_2.2.5
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kwin_rules_dialog.so libkdeinit4_kwin_rules_dialog.so
kde-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_plasma-windowed.so libkdeinit4_plasma-windowed.so
kde-workspace.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.kcontrol.kcmkdm.conf
kde-workspace.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.fontinst.conf
kde-workspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libsystemsettingsview.so
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/systemsettings.desktop
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/krandrtray.desktop
kde-workspace.x86_64: E: script-without-shebang /usr/share/autostart/klipper.desktop
kde-workspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libpowerdevilconfigcommonprivate.so
kde-workspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libpowerdevilcore.so
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/klipper.desktop
kde-workspace.x86_64: E: zero-length /usr/share/kde4/apps/plasma/dashboard/AppleClasses/AppleButton.js
kde-workspace.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/kfontview.desktop
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/kinfocenter.desktop
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/kdesystemsettings.desktop
kde-workspace.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
kde-workspace.x86_64: E: script-without-shebang /usr/share/applications/kde4/kmenuedit.desktop
kde-workspace.x86_64: W: no-manual-page-for-binary kapplymousetheme
kde-workspace.x86_64: W: no-manual-page-for-binary kmenuedit
kde-workspace.x86_64: W: no-manual-page-for-binary kwin
kde-workspace.x86_64: W: no-manual-page-for-binary oxygen-settings
kde-workspace.x86_64: W: no-manual-page-for-binary kaccess
kde-workspace.x86_64: W: no-manual-page-for-binary plasma-desktop
kde-workspace.x86_64: W: no-manual-page-for-binary oxygen-demo
kde-workspace.x86_64: W: no-manual-page-for-binary krandrtray
kde-workspace.x86_64: W: no-manual-page-for-binary kcheckrunning
kde-workspace.x86_64: W: no-manual-page-for-binary plasma-netbook
kde-workspace.x86_64: W: no-manual-page-for-binary kdostartupconfig4
kde-workspace.x86_64: W: no-manual-page-for-binary remote-widgets-browser
kde-workspace.x86_64: W: no-manual-page-for-binary ksystraycmd
kde-workspace.x86_64: W: no-manual-page-for-binary systemsettings
kde-workspace.x86_64: W: no-manual-page-for-binary kstartupconfig4
kde-workspace.x86_64: W: no-manual-page-for-binary ksplashqml
kde-workspace.x86_64: W: no-manual-page-for-binary kblankscrn.kss
kde-workspace.x86_64: W: no-manual-page-for-binary ksplashx
kde-workspace.x86_64: W: no-manual-page-for-binary ksplashx_scale
kde-workspace.x86_64: W: no-manual-page-for-binary kfontinst
kde-workspace.x86_64: W: no-manual-page-for-binary krandom.kss
kde-workspace.x86_64: W: no-manual-page-for-binary plasma-windowed
kde-workspace.x86_64: W: no-manual-page-for-binary kinfocenter
kde-workspace.x86_64: W: no-manual-page-for-binary klipper
kde-workspace.x86_64: W: no-manual-page-for-binary krunner
kde-workspace.x86_64: W: no-manual-page-for-binary ksmserver
kde-workspace.x86_64: W: no-manual-page-for-binary krdb
kde-workspace.x86_64: W: no-manual-page-for-binary kcminit
kde-workspace.x86_64: W: no-manual-page-for-binary ksplashsimple
kde-workspace.x86_64: W: no-manual-page-for-binary solid-action-desktop-gen
kde-workspace.x86_64: W: no-manual-page-for-binary plasmawallpaperviewer
kde-workspace.x86_64: W: no-manual-page-for-binary kcminit_startup
kde-workspace.x86_64: W: no-manual-page-for-binary oxygen-shadow-demo
kde-workspace.x86_64: W: no-manual-page-for-binary startkde
kde-workspace.x86_64: W: no-manual-page-for-binary krandrstartup
kde-workspace.x86_64: W: no-manual-page-for-binary solid-network
kde-workspace.x86_64: W: no-manual-page-for-binary plasma-overlay
kde-workspace.x86_64: W: no-manual-page-for-binary kfontview
kde-workspace-devel.x86_64: W: no-documentation
kde-workspace-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kde-workspace-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kde-workspace-libs.x86_64: W: no-documentation
kde-workspace-ksplash-themes.noarch: W: no-documentation
kdm.x86_64: W: spelling-error Summary(en_US) login -> loin, logic, lo gin
kdm.x86_64: W: spelling-error %description -l en_US login -> loin, logic, lo gin
kdm.x86_64: W: hidden-file-or-dir /usr/share/kde4/apps/kdm/faces/.default.face.icon
kdm.x86_64: W: no-manual-page-for-binary genkdmconf
kdm.x86_64: W: no-manual-page-for-binary kdm
kdm.x86_64: W: no-manual-page-for-binary kdmctl
kdm-themes.noarch: W: obsolete-not-provided kdm
kdm-themes.noarch: W: no-documentation
ksysguard.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_ksysguard.so libkdeinit4_ksysguard.so
ksysguard.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
ksysguard.x86_64: W: no-manual-page-for-binary ksysguard
ksysguard-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
ksysguard-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
ksysguard-libs.x86_64: W: no-documentation
ksysguardd.x86_64: W: no-documentation
ksysguardd.x86_64: W: no-manual-page-for-binary ksysguardd
kwin-gles.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kwin_gles.so libkdeinit4_kwin_gles.so
kwin-gles.x86_64: W: no-documentation
kwin-gles.x86_64: W: no-manual-page-for-binary kwin_gles
kwin-gles-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kwin-gles-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kwin-gles-libs.x86_64: W: no-documentation
libkworkspace.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
libkworkspace.x86_64: W: name-repeated-in-summary C libkworkspace
libkworkspace.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
libkworkspace.x86_64: W: obsolete-not-provided kdebase-workspace-libs-kworkspace
libkworkspace.x86_64: W: no-documentation
oxygen-cursor-themes.noarch: W: no-documentation
plasma-scriptengine-python.x86_64: W: no-documentation
plasma-scriptengine-ruby.x86_64: W: no-documentation
kde-workspace-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kde-workspace-4.7.95/libs/ksysguard/processcore/atop_p.h
kde-workspace-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/kde-workspace-4.7.95/kwin/effects/presentwindows/presentwindows.cpp
17 packages and 0 specfiles checked; 25 errors, 104 warnings.

No serious issues that would block the review haven't been found, setting
fedora-review+.
Comment 2 Rex Dieter 2012-01-13 10:59:55 EST
New Package SCM Request
=======================
Package Name: kde-workspace
Short Description: KDE Workspace
Owners: than rdieter jreznik ltinkl rnovacek kkofler
Branches: f16
Comment 3 Jon Ciesla 2012-01-13 11:17:49 EST
Git done (by process-git-requests).
Comment 4 Rex Dieter 2012-01-13 11:43:02 EST
imported, thanks!

Note You need to log in before you can comment on or make changes to this bug.